const mongodb = require('mongodb');
const { findByName, findById, updateObj, findByAttributes } = require('./common');

const { ObjectId } = mongodb;

function addUser(userId) {
  return {
    $addToSet: {
      users: {
        userId: ObjectId(userId),
      },
    },
  };
}

module.exports = {
  ObjectId,
  findByName,
  findById,
  updateObj,
  findByAttributes,
  addUser,
};
